Option Compare Database

' with references:
' Microsoft ADO Ext 6.0
' Microsoft Office Object Library 14.0
' Microsoft Office Runtime 1.0

Public Sub TestModule()

    Dim rs As DAO.Recordset
    
    Set rs = CurrentDb.OpenRecordset("TableWithData", dbOpenSnapshot)
    
    rs.MoveFirst
    Do Until rs.EOF
    
        Debug.Print rs![param], rs![key]
    
        rs.MoveNext
    Loop

End Sub